EC_COMP_ITEM_GET_GRP(3)

NAME
ec_comp_item_get_grp - Get the group of a completion item.

SYNOPSIS
#include <ecoli/complete.h>

const struct ec_comp_group * ec_comp_item_get_grp(
    const struct ec_comp_item   *item   /* The completion item. */
);

DESCRIPTION

The completion group corresponds to the list of items that share the same parsing state and are issued by the same node.

RETURN VALUE

The completion group of this item.

SEE ALSO

ec_comp_add_item(3), ec_comp_count(3), ec_comp_item_set_str(3), ec_complete(3), ec_comp_get_attrs(3), ec_comp_group_get_attrs(3), ec_comp_iter_next(3), ec_comp_item_get_node(3), ec_comp_iter_first(3), ec_comp_item_get_current(3), ec_comp_group_get_node(3), ec_complete_strvec_expand(3), ec_comp_free(3), ec_comp_get_cur_pstate(3), ec_complete_unknown(3), ec_complete_strvec(3), ec_comp_item_get_type(3), ec_comp_item_get_str(3), ec_comp_item_set_display(3), ec_complete_child(3), ec_comp(3), ec_comp_item_get_display(3), ec_comp_item_get_completion(3), ec_comp_group_get_pstate(3), ec_comp_dump(3), ec_comp_merge(3), ec_comp_item_set_completion(3), ec_comp_get_cur_group(3)

COPYRIGHT

Copyright (C) 2010-2026 Olivier Matz, Robin Jarry.